# SoliqID
SoliqID plugin for [Flutter](https://flutter.io).
Supports iOS, Android.


## Getting Started

In your flutter project add the dependency:

```yml
dependencies:
  ...
  soliq_id:
```

For help getting started with Flutter, view the online
[documentation](https://flutter.io/).

Import `soliq_id.dart`

```dart
import 'package:soliq_id/soliq_id.dart';
```


## Usage


```dart
 openSoliqId() async {
  await Navigator.push(
    context,
    MaterialPageRoute(
      builder: (context) => SoliqId(
        /// User pinfl
        /// Example: 12345678912345
        pinfl: "12345678912345",

        /// User localization type
        localizationType: LocalizationType.UZ,

        /// User guid
        /// Guid as a token given by the server
        guid:
        "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJleHAiOjB9.6bWEShkw3Fhdur5TubYJavgPZXWqwNUhXRtL0LJoVCx7o7CZvuWXnnBPKphmjVajuZ0d8TcusOUievxg-lm0lA",

        /// Navigate to Result Screen
        /// If true, the user will be navigated to the result screen after the process is completed
        onNavigate: true,

        /// Event callback function
        /// This function will be called when the process is completed
        /// It will return the result of the process
        /// Example: {"status": "success", "message": "User successfully verified"}
        onEvent: event,
      ),
    ),
  );
}

/// Response event
void event(Map<String, dynamic> event) {
  /// Example:
  //   {   "success": success,
  //       "code": code,
  //       "message": message,
  //       "id": id,
  //       "token": token,
  //       "data": {
  //           "pinfl": pinfl,
  //           "surName": sureName,
  //           "name": name,
  //           "patronymicName": fatherName,
  //           "birthDate": birthDate,
  //           "birthPlace": birthPlace,
  //           "docSerial": docSerial,
  //           "docNumber": docNumber,
  //           "livingPlace": livingPlace,
  //           "docGiveDate": docGivenDate,
  //           "docExpirationDate": docExpireDate,
  //           "docGivePlace": docGivenPlace,
  //           "status": status,
  //                          }
  //                                  }

  print(event);
}
```

